package Controleurs;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Vector;

import javax.swing.JLabel;
import javax.swing.JPasswordField;
import javax.swing.JTextField;

import Modèle.Groupe;
import Modèle.Utilisateur;


public class EcouteurConnexion implements ActionListener
{
	protected JTextField tf;
	protected JPasswordField pf1;
	protected JLabel label2;
	protected boolean connect;
	protected Vector <Groupe> groupes;
	protected Utilisateur utilCourant;
	
	public EcouteurConnexion(JTextField tf,JPasswordField pf1,JLabel label2, boolean connect, Vector<Groupe> groupes,Utilisateur utilCourant)
	{
		this.tf=tf;	
		this.pf1=pf1;
		this.label2=label2;
		this.connect=connect;
		this.groupes=groupes;
		this.utilCourant=utilCourant;
	}
	
	public void actionPerformed (ActionEvent e)
	{
		for (int i = 0; i < groupes.size(); i++) {
			for (int j = 0; j < groupes.get(i).getUtilisateurs().size(); j++) {
				if (groupes.get(i).getUtilisateurs().get(j).getLogin().equals(tf.getText()))
					if (groupes.get(i).getUtilisateurs().get(j).getMotDePasse().equals(new String(pf1.getPassword()))) {
						connect = true;
						utilCourant = groupes.get(i).getUtilisateurs().get(j);
					}
			}
		}
		if (connect)
			label2.setText("connexion");
		else
			label2.setText("erreur");
	}

}
